Bug 1005211 - An error occurred executing 'gear postreceive' if trying to install an package which is already installed via channel for php
An error occurred executing 'gear postreceive' if trying to install an packa...
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.1
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On: 969995
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 08:50 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 969995
Environment:
Last Closed: 2013-09-26 10:29:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-09-06 08:50:23 EDT
This issue is already fixed on devenv_3752, but still reproduce on ose 1.2/2013-09-05.1 puddle

+++ This bug was initially created as a clone of Bug #969995 +++

Description of preblem:
When we have added channel "channel://pear.php.net/Validate-0.8.4" to a php app, then the second time git push will be failed with 'gear postreceive' .

Version-Release number of selected component (if applicable):
devenv_3307
STG(devenv-stage_356)

How reproducible:
aways

Steps to reproduce:
1. Create a php app
# rhc app create php php-5.3 -predhat
2.Write channel to file 'deplist.txt'
# echo 'channel://pear.php.net/Validate-0.8.4' > deplist.txt
3. git push it 
# git commit -am "added channel" ; git push
4. Create new file to this repo and git push
# touch test; git add test; git commit -am "Added new file";git push
Actual results:
...
remote: PHP Stack trace:
remote: PHP   1. {main}() /usr/share/pear/pearcmd.php:0
remote: PHP   2. PEAR_Command_Common->run() /usr/share/pear/pearcmd.php:305
remote: PHP   3. PEAR_Command_Registry->doList() /usr/share/pear/PEAR/Command/Common.php:271
remote: PHP   4. PEAR_Command_Registry->doFileList() /usr/share/pear/PEAR/Command/Registry.php:146
remote: PHP   5. file_exists() /usr/share/pear/PEAR/Command/Registry.php:255
remote: pear/Validate is already installed and is the same as the released version 0.8.4
remote: upgrade failed
remote: An error occurred executing 'gear postreceive'
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://51ac44796088672b29000001@php1-sun000.osetestv2auto.com/~/git/php1.git/
   5c52c9a..ead0d9e  master -> master

Expect results:
Successed

Additional info:

--- Additional comment from xiaoli on 2013-06-03 05:49:52 EDT ---

This error only happens if trying to install the  package which is already installed.
Comment 2 manoj 2013-09-26 10:29:19 EDT
Please reopen if this happens again

Note You need to log in before you can comment on or make changes to this bug.